Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.xtg
Interface XTGConstants

All Known Implementing Classes:
  XTGFilter, XTGReader, XTGWriter

    public interface XTGConstants

Provides XML constants for the XTG format.

Author:
  Ben Stöver

Field Summary
`static String` | `ALIGN_LEFT`
`static String` | `ALIGN_RIGHT`
`static String` | `ALIGN_TREE_WIDTH`
`static QName` | `ATTR_ALIGN_TO_SUBTREE`
`static QName` | `ATTR_BG_COLOR`
`static QName` | `ATTR_BOTTOM`
`static QName` | `ATTR_BRANCH_LENGTH`
`static QName` | `ATTR_BRANCH_LENGTH_SCALE`
`static QName` | `ATTR_CONSTANT_WIDTH`
`static QName` | `ATTR_DECIMAL_FORMAT`
`static QName` | `ATTR_EDGE_RADIUS`
`static QName` | `ATTR_FONT_FAMILY`
`static QName` | `ATTR_HEIGHT`
`static QName` | `ATTR_ICON`
`static QName` | `ATTR_ICON_FILLED`
`static QName` | `ATTR_ICON_HEIGHT`
`static QName` | `ATTR_ICON_WIDTH`
`static QName` | `ATTR_ID`
`static QName` | `ATTR_LABEL_ABOVE`
`static QName` | `ATTR_LABEL_SPACING`
`static QName` | `ATTR_LEFT`
`static QName` | `ATTR_LEGEND_POS`
`static QName` | `ATTR_LEGEND_SPACING`
`static QName` | `ATTR_LEGEND_STYLE`
`static QName` | `ATTR_LINE_COLOR`
`static QName` | `ATTR_LINE_NO`
`static QName` | `ATTR_LINE_POS`
`static QName` | `ATTR_LINE_WIDTH`
`static QName` | `ATTR_LOCALE_COUNTRY`
`static QName` | `ATTR_LOCALE_LANG`
`static QName` | `ATTR_LOCALE_VARIANT`
`static QName` | `ATTR_LONG_INTERVAL`
`static QName` | `ATTR_MIN_BRANCH_LENGTH`
`static QName` | `ATTR_MIN_SPACE_ABOVE`
`static QName` | `ATTR_MIN_SPACE_BELOW`
`static QName` | `ATTR_MIN_TREE_DISTANCE`
`static QName` | `ATTR_POSITION_LABELS_TO_LEFT`
`static QName` | `ATTR_RIGHT`
`static QName` | `ATTR_SCALE_BAR_ALIGN`
`static QName` | `ATTR_SCALE_BAR_DISTANCE`
`static QName` | `ATTR_SCALE_BAR_HEIGHT`
`static QName` | `ATTR_SCALE_BAR_INCREASE`
`static QName` | `ATTR_SCALE_BAR_START`
`static QName` | `ATTR_SCALE_BAR_WIDTH`
`static QName` | `ATTR_SHOW_ROOTED`
`static QName` | `ATTR_SHOW_SCALE_BAR`
`static QName` | `ATTR_SMALL_INTERVAL`
`static QName` | `ATTR_TEXT`
`static QName` | `ATTR_TEXT_COLOR`
`static QName` | `ATTR_TEXT_HEIGHT`
`static QName` | `ATTR_TEXT_IS_DECIMAL`
`static QName` | `ATTR_TEXT_ORIENTATION`
`static QName` | `ATTR_TEXT_STYLE`
`static QName` | `ATTR_TOP`
`static QName` | `ATTR_UNIQUE_NAME`
`static QName` | `ATTR_WIDTH`
`static String` | `BRANCH_LENGTH_UNITS`
`static String` | `FULL_SCHEMA_LOCATION`
`static String` | `MILLIMETERS`
`static String` | `NAMESPACE_URI`
`static String` | `ORIENT_DOWN`
`static String` | `ORIENT_HORIZONTAL`
`static String` | `ORIENT_UP`
`static String` | `PRE_LEGEND_ANCHOR`
`static String` | `STYLE_BOLD`
`static String` | `STYLE_BRACE`
`static String` | `STYLE_BRACKET`
`static String` | `STYLE_ITALIC`
`static String` | `STYLE_UNDERLINE`
`static String` | `TAG_BRANCH`
`static String` | `TAG_DOC_MARGIN`
`static String` | `TAG_GLOBAL_FORMATS`
`static String` | `TAG_HIDDEN_DATA`
`static String` | `TAG_ICON_LABEL`
`static String` | `TAG_LABEL_MARGIN`
`static String` | `TAG_LEAF_MARGIN`
`static String` | `TAG_LEGEND`
`static String` | `TAG_LEGEND_MARGIN`
`static String` | `TAG_NODE`
`static String` | `TAG_ROOT`
`static String` | `TAG_SCALE_BAR`
`static String` | `TAG_TEXT_LABEL`
`static String` | `TAG_TREE`
`static info.webinsel.util.io.FormatVersion` | `VERSION`

Field Detail

### NAMESPACE_URI

    static final String NAMESPACE_URI

See Also:
  Constant Field Values

### VERSION

    static final info.webinsel.util.io.FormatVersion VERSION

### FULL_SCHEMA_LOCATION

    static final String FULL_SCHEMA_LOCATION

### TAG_ROOT

    static final String TAG_ROOT

See Also:
  Constant Field Values

### TAG_GLOBAL_FORMATS

    static final String TAG_GLOBAL_FORMATS

See Also:
  Constant Field Values

### ATTR_BG_COLOR

    static final QName ATTR_BG_COLOR

### TAG_DOC_MARGIN

    static final String TAG_DOC_MARGIN

See Also:
  Constant Field Values

### ATTR_BRANCH_LENGTH_SCALE

    static final QName ATTR_BRANCH_LENGTH_SCALE

### ATTR_SHOW_SCALE_BAR

    static final QName ATTR_SHOW_SCALE_BAR

### ATTR_SHOW_ROOTED

    static final QName ATTR_SHOW_ROOTED

### ATTR_ALIGN_TO_SUBTREE

    static final QName ATTR_ALIGN_TO_SUBTREE

### ATTR_POSITION_LABELS_TO_LEFT

    static final QName ATTR_POSITION_LABELS_TO_LEFT

### ATTR_WIDTH

    static final QName ATTR_WIDTH

### ATTR_HEIGHT

    static final QName ATTR_HEIGHT

### ATTR_LEFT

    static final QName ATTR_LEFT

### ATTR_TOP

    static final QName ATTR_TOP

### ATTR_RIGHT

    static final QName ATTR_RIGHT

### ATTR_BOTTOM

    static final QName ATTR_BOTTOM

### ATTR_TEXT

    static final QName ATTR_TEXT

### ATTR_TEXT_IS_DECIMAL

    static final QName ATTR_TEXT_IS_DECIMAL

### ATTR_DECIMAL_FORMAT

    static final QName ATTR_DECIMAL_FORMAT

### ATTR_LOCALE_LANG

    static final QName ATTR_LOCALE_LANG

### ATTR_LOCALE_COUNTRY

    static final QName ATTR_LOCALE_COUNTRY

### ATTR_LOCALE_VARIANT

    static final QName ATTR_LOCALE_VARIANT

### ATTR_TEXT_COLOR

    static final QName ATTR_TEXT_COLOR

### ATTR_TEXT_HEIGHT

    static final QName ATTR_TEXT_HEIGHT

### ATTR_TEXT_STYLE

    static final QName ATTR_TEXT_STYLE

### ATTR_FONT_FAMILY

    static final QName ATTR_FONT_FAMILY

### ATTR_LINE_COLOR

    static final QName ATTR_LINE_COLOR

### ATTR_LINE_WIDTH

    static final QName ATTR_LINE_WIDTH

### ATTR_ID

    static final QName ATTR_ID

### TAG_TREE

    static final String TAG_TREE

See Also:
  Constant Field Values

### TAG_NODE

    static final String TAG_NODE

See Also:
  Constant Field Values

### ATTR_UNIQUE_NAME

    static final QName ATTR_UNIQUE_NAME

### ATTR_EDGE_RADIUS

    static final QName ATTR_EDGE_RADIUS

### TAG_LEAF_MARGIN

    static final String TAG_LEAF_MARGIN

See Also:
  Constant Field Values

### TAG_BRANCH

    static final String TAG_BRANCH

See Also:
  Constant Field Values

### ATTR_BRANCH_LENGTH

    static final QName ATTR_BRANCH_LENGTH

### ATTR_CONSTANT_WIDTH

    static final QName ATTR_CONSTANT_WIDTH

### ATTR_MIN_BRANCH_LENGTH

    static final QName ATTR_MIN_BRANCH_LENGTH

### ATTR_MIN_SPACE_ABOVE

    static final QName ATTR_MIN_SPACE_ABOVE

### ATTR_MIN_SPACE_BELOW

    static final QName ATTR_MIN_SPACE_BELOW

### TAG_TEXT_LABEL

    static final String TAG_TEXT_LABEL

See Also:
  Constant Field Values

### TAG_ICON_LABEL

    static final String TAG_ICON_LABEL

See Also:
  Constant Field Values

### ATTR_LABEL_ABOVE

    static final QName ATTR_LABEL_ABOVE

### ATTR_LINE_NO

    static final QName ATTR_LINE_NO

### ATTR_LINE_POS

    static final QName ATTR_LINE_POS

### STYLE_BOLD

    static final String STYLE_BOLD

See Also:
  Constant Field Values

### STYLE_ITALIC

    static final String STYLE_ITALIC

See Also:
  Constant Field Values

### STYLE_UNDERLINE

    static final String STYLE_UNDERLINE

See Also:
  Constant Field Values

### ATTR_ICON

    static final QName ATTR_ICON

### ATTR_ICON_WIDTH

    static final QName ATTR_ICON_WIDTH

### ATTR_ICON_HEIGHT

    static final QName ATTR_ICON_HEIGHT

### ATTR_ICON_FILLED

    static final QName ATTR_ICON_FILLED

### ATTR_LABEL_SPACING

    static final QName ATTR_LABEL_SPACING

### TAG_LABEL_MARGIN

    static final String TAG_LABEL_MARGIN

See Also:
  Constant Field Values

### TAG_HIDDEN_DATA

    static final String TAG_HIDDEN_DATA

See Also:
  Constant Field Values

### TAG_LEGEND

    static final String TAG_LEGEND

See Also:
  Constant Field Values

### ATTR_LEGEND_SPACING

    static final QName ATTR_LEGEND_SPACING

### TAG_LEGEND_MARGIN

    static final String TAG_LEGEND_MARGIN

See Also:
  Constant Field Values

### ATTR_LEGEND_POS

    static final QName ATTR_LEGEND_POS

### ATTR_MIN_TREE_DISTANCE

    static final QName ATTR_MIN_TREE_DISTANCE

### ATTR_LEGEND_STYLE

    static final QName ATTR_LEGEND_STYLE

### ATTR_TEXT_ORIENTATION

    static final QName ATTR_TEXT_ORIENTATION

### ORIENT_UP

    static final String ORIENT_UP

See Also:
  Constant Field Values

### ORIENT_DOWN

    static final String ORIENT_DOWN

See Also:
  Constant Field Values

### ORIENT_HORIZONTAL

    static final String ORIENT_HORIZONTAL

See Also:
  Constant Field Values

### PRE_LEGEND_ANCHOR

    static final String PRE_LEGEND_ANCHOR

See Also:
  Constant Field Values

### STYLE_BRACE

    static final String STYLE_BRACE

See Also:
  Constant Field Values

### STYLE_BRACKET

    static final String STYLE_BRACKET

See Also:
  Constant Field Values

### TAG_SCALE_BAR

    static final String TAG_SCALE_BAR

See Also:
  Constant Field Values

### ATTR_SCALE_BAR_ALIGN

    static final QName ATTR_SCALE_BAR_ALIGN

### ALIGN_LEFT

    static final String ALIGN_LEFT

See Also:
  Constant Field Values

### ALIGN_RIGHT

    static final String ALIGN_RIGHT

See Also:
  Constant Field Values

### ALIGN_TREE_WIDTH

    static final String ALIGN_TREE_WIDTH

See Also:
  Constant Field Values

### ATTR_SCALE_BAR_DISTANCE

    static final QName ATTR_SCALE_BAR_DISTANCE

### ATTR_SCALE_BAR_WIDTH

    static final QName ATTR_SCALE_BAR_WIDTH

### BRANCH_LENGTH_UNITS

    static final String BRANCH_LENGTH_UNITS

See Also:
  Constant Field Values

### MILLIMETERS

    static final String MILLIMETERS

See Also:
  Constant Field Values

### ATTR_SCALE_BAR_HEIGHT

    static final QName ATTR_SCALE_BAR_HEIGHT

### ATTR_SMALL_INTERVAL

    static final QName ATTR_SMALL_INTERVAL

### ATTR_LONG_INTERVAL

    static final QName ATTR_LONG_INTERVAL

### ATTR_SCALE_BAR_START

    static final QName ATTR_SCALE_BAR_START

### ATTR_SCALE_BAR_INCREASE

    static final QName ATTR_SCALE_BAR_INCREASE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD